Explorar o código

chore: update ci and add binding script

thesimplekid hai 11 meses
pai
achega
21c8b18dc4
Modificáronse 3 ficheiros con 24 adicións e 1 borrados
  1. 1 0
      .github/workflows/ci.yml
  2. 23 0
      misc/scripts/check-bindings.sh
  3. 0 1
      misc/scripts/check-crates.sh

+ 1 - 0
.github/workflows/ci.yml

@@ -66,6 +66,7 @@ jobs:
             -p cdk --no-default-features,
             -p cdk --no-default-features --features wallet,
             -p cdk --no-default-features --features all-nuts,
+            -p cdk-js
           ]
     steps:
     - name: Checkout

+ 23 - 0
misc/scripts/check-bindings.sh

@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+# Check bindings
+buildargs=(
+    "-p cdk-js --target wasm32-unknown-unknown"
+)
+
+for arg in "${buildargs[@]}"; do
+    echo  "Checking '$arg'"
+
+    cargo build $arg
+
+    if [[ $arg != *"--target wasm32-unknown-unknown"* ]];
+    then
+        cargo test $arg
+    fi
+
+    cargo clippy $arg -- -D warnings
+
+    echo
+done

+ 0 - 1
misc/scripts/check-crates.sh

@@ -31,7 +31,6 @@ buildargs=(
     "-p cdk-redb"
     "-p cdk-redb --no-default-features --features wallet"
     "-p cdk-redb --no-default-features --features mint"
-    "-p cdk-js --no-default-features --features"
 )
 
 for arg in "${buildargs[@]}"; do